> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cdp.coinbase.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get All Firms

> Retrieves a list of all firms you have access to.



## OpenAPI

````yaml /api-reference/derivatives-api/rest-api/cde-spec.json get /rest/firms
openapi: 3.0.3
info:
  title: Derivatives Public REST API
  version: 0.1.0
  description: Public REST API for Coinbase Derivatives Exchange Public REST Gateway
servers:
  - url: https://api.exchange.fairx.net
    variables: {}
security:
  - auth_api_key: []
  - auth_timestamp: []
  - auth_passphrase: []
  - auth_signature: []
paths:
  /rest/firms:
    get:
      tags:
        - Firms
      summary: Get All Firms
      description: Retrieves a list of all firms you have access to.
      operationId: getFirms
      parameters: []
      responses:
        '200':
          description: Successfully retrieved firms
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/FirmResponse'
        '403':
          description: Forbidden - insufficient permissions
      deprecated: false
      security: []
components:
  schemas:
    FirmResponse:
      type: object
      additionalProperties: false
      properties:
        firm_uuid:
          type: string
          example: 123e4567-e89b-12d3-a456-426614174000
        fcm_uuid:
          type: string
          example: abcdef12-3456-7890-abcd-ef1234567890
        name:
          type: string
          example: Acme Trading
        code:
          type: string
          example: ABC
        firm_role:
          allOf:
            - $ref: '#/components/schemas/FirmRole'
          example: TRADING_FIRM
        max_order_size:
          type: integer
          format: int32
          example: 200
        self_match_prevention_mode:
          $ref: '#/components/schemas/SelfMatchPreventionMode'
        is24_by7_trading_disabled:
          type: boolean
          example: false
        24_by7_trading_disabled:
          type: boolean
    FirmRole:
      type: string
      enum:
        - FCM
        - TRADING_FIRM
    SelfMatchPreventionMode:
      type: string
      enum:
        - CANCEL_AGGRESSING
        - CANCEL_RESTING
        - CANCEL_BOTH
  securitySchemes:
    auth_api_key:
      in: header
      name: CB-ACCESS-KEY
      description: The key string of the API key for the request
      type: apiKey
    auth_timestamp:
      in: header
      name: CB-ACCESS-TIMESTAMP
      description: The timestamp of when the request is being made (in epoch seconds)
      type: apiKey
    auth_passphrase:
      in: header
      name: CB-ACCESS-PASSPHRASE
      description: The passphrase affiliated with the API Key
      type: apiKey
    auth_signature:
      in: header
      name: CB-ACCESS-SIGN
      description: >-
        An HMAC SHA-256 signature using the API Key secret on the string
        TIMESTAMP, METHOD, REQUEST_PATH, BODY
      type: apiKey

````